## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage
Class IntroductionPage

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
                      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
                          org.eclipse.datatools.sqltools.schemaobjecteditor.ui.pages.intropage.IntroductionPage

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, IDisablementPart, ISchemaObjectEditorPage, org.eclipse.help.IContextProvider, org.eclipse.ui.forms.editor.IFormPage, org.eclipse.ui.IEditorPart, org.eclipse.ui.ISaveablePart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class IntroductionPage

extends SchemaObjectEditorPage

The introduction page

Author:
  Idull

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage
`SchemaObjectEditorPage.PageForm`

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.schemaobjecteditor.ui.ISchemaObjectEditorPage
`UNKNOWN_ITEM_TYPE`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Fields inherited from interface org.eclipse.help.IContextProvider
`NONE, SELECTION`

Constructor Summary
`IntroductionPage()`

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)` Creates the part control by creating the managed form using the parent editor's toolkit.
`java.lang.String` `getContextHelpId()`

Methods inherited from class org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.SchemaObjectEditorPage

`aboutToSave, canLeaveThePage, dispose, doSave, doSaveAs, enable, getDatabaseIdentifier, getEditor, getEditorDescriptor, getErrorMsg, getId, getIndex, getManagedForm, getPageDescriptor, getPartControl, getPreferencePageIds, getTitleImage, init, initialize, isActive, isDirty, isEditor, isPageOpened, isSaveAsAllowed, markDirty, menuAboutToShow, modelRegenerated, populateSQLObjects, refresh, revert, selectReveal, setActive, setEditor, setEditorDescriptor, setFocus, setFocus, setId, setIndex, setPageDescriptor, setPartName, validate, validateAndShowErrors, validateOnline`

Methods inherited from class org.eclipse.datatools.sqltools.common.ui.helpsystem.HelpSystemEditorPart
`getContext, getContextChangeMask, getSearchExpression`

Methods inherited from class org.eclipse.ui.part.EditorPart
`getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setInitializationData`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPartPropertyListener, addPropertyListener, getAdapter, getContentDescription, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, removePartPropertyListener, removePropertyListener, setPartProperty, showBusy`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### IntroductionPage

    public IntroductionPage()

Method Detail

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Description copied from class: `SchemaObjectEditorPage`
  Creates the part control by creating the managed form using the parent editor's toolkit. Subclasses should override `createFormContent(IManagedForm)` to populate the form with content.

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `createPartControl` in class `SchemaObjectEditorPage`
  Parameters:
    `parent` - the page parent composite

### getContextHelpId

    public java.lang.String getContextHelpId()